/*
	cArray3D
	3차원 배열을관리
	템플리트로 만들어져 여러가지 목적으로 사용될 수 있다.
	사용시 주의 사항:
	첨자의 영역검사를 수행하지 않습니다.

*/
#ifndef H_cArray3D
#define H_cArray3D

template<class T> class cArray3D{
protected:
	T *Element;
	int zPitch, yPitch;
	int xSize, ySize, zSize;

public:
	cArray3D();
	~cArray3D();

	void Destroy(); // 배열을 파괴한다.
	bool Create(int z, int y, int x); // 배열을 생성
	void Set(int z, int y, int x, T &Data); // 배열에 요소를 설정
	void Get(int z, int y, int x, T &Data); // 요소를 얻어옴
	T *GetPtr(int z, int y, int x); // 요소의 포인터만을 얻어옴	
	
		
};


#endif